import 'package:flutter/material.dart';
import 'package:flut/flut/runtime.dart';

class FlutDivider {
  FlutDivider._();

  static Divider? flutDecode(FlutRuntime runtime, Map<String, dynamic> data) {
    return Divider(
      key: runtime.decodeKey(data),
      height: runtime.unpackOptionalField<double>(data, 'height'),
      thickness: runtime.unpackOptionalField<double>(data, 'thickness'),
      color: runtime.unpackOptionalField<Color>(data, 'color'),
    );
  }
}
